Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rabbit.proxy
Class HTMLPage

    java.lang.Object
      rabbit.proxy.HTMLPage

    public class HTMLPage

extends java.lang.Object

This class is intended to be used as a template for metapages. It provides methods to get different part of the HTML-page so we can get a consistent interface.

Method Summary
`static java.lang.String` | `getPageHeader()` return a simple HTMLheader.
`static java.lang.String` | `getPageHeader(Connection con, java.lang.String title)` return a HTMLheader.
`static java.util.Properties` | `getProperties()` return the properties this class uses
`static java.lang.String` | `getTableHeader(int width, int border)` return a table header with given width (int %) and given borderwidth.
`static java.lang.String` | `getTableTopicRow()` return a tabletopic row
`static java.util.Properties` | `setup()` setup this class for usage
`static java.util.Properties` | `setup(SProperties props)` setup this class for usage

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getPageHeader

    public static java.lang.String getPageHeader()

  return a simple HTMLheader.

  Returns:
    a HTMLHeader.

### getPageHeader

    public static java.lang.String getPageHeader(Connection con,
                                                 java.lang.String title)

  return a HTMLheader.

  Parameters:
    `title` - the title of this page.
  Returns:
    a HTMLHeader.

### getTableHeader

    public static java.lang.String getTableHeader(int width,
                                                  int border)

  return a table header with given width (int %) and given borderwidth.

  Parameters:
    `width` - the width of the table
    `border` - the width of the border in pixels

### getTableTopicRow

    public static java.lang.String getTableTopicRow()

  return a tabletopic row

### setup

    public static java.util.Properties setup()

  setup this class for usage

### setup

    public static java.util.Properties setup(SProperties props)

  setup this class for usage

  Parameters:
    `props` - the properties to read from

### getProperties

    public static java.util.Properties getProperties()

  return the properties this class uses

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD